diff options
author | Julio Capote <jcapote@gmail.com> | 2022-08-21 15:31:03 +0000 |
---|---|---|
committer | Julio Capote <jcapote@gmail.com> | 2022-08-21 15:31:03 +0000 |
commit | c24cc0f4ef43be035cf31116c46904f723b5607f (patch) | |
tree | 9fdcf18e8fc24e138515ba395aa822356f2733e9 | |
parent | a44d810632cb9b9527b6b220d486cea577802c72 (diff) | |
download | recit-c24cc0f4ef43be035cf31116c46904f723b5607f.tar.gz |
recit-setup and recit-ls alias
-rwxr-xr-x | libexec/recit-ls | 3 | ||||
-rwxr-xr-x | libexec/recit-setup | 12 | ||||
-rw-r--r-- | share/recit/recit.example.rec | 11 | ||||
-rw-r--r-- | share/recit/templates/projects.templ | 3 |
4 files changed, 20 insertions, 9 deletions
diff --git a/libexec/recit-ls b/libexec/recit-ls new file mode 100755 index 0000000..2eb086b --- /dev/null +++ b/libexec/recit-ls @@ -0,0 +1,3 @@ +#!/usr/bin/env bash + +recit-entries "$@"
\ No newline at end of file diff --git a/libexec/recit-setup b/libexec/recit-setup index fb8ce61..ba34026 100755 --- a/libexec/recit-setup +++ b/libexec/recit-setup @@ -1,11 +1,15 @@ #!/usr/bin/env bash +# Usage: recit setup [force] +# Summary: sets up a new recit database at $HOME/.recit.rec set -e -if [[ -f "$HOME/.recit.location" ]]; then - recfile_location=$(cat "$HOME/.recit.location") - echo "looks like you already have recit set up at ${recfile_location}, aborting..." - exit 1 +if ! [[ "$1" = "force" ]]; then + if [[ -f "$HOME/.recit.location" ]]; then + recfile_location=$(cat "$HOME/.recit.location") + echo "looks like you already have recit set up at ${recfile_location}, aborting..." + exit 1 + fi fi cat share/recit/recit.example.rec > "$HOME/.recit.rec" diff --git a/share/recit/recit.example.rec b/share/recit/recit.example.rec index 81cfc8c..ec394d6 100644 --- a/share/recit/recit.example.rec +++ b/share/recit/recit.example.rec @@ -1,13 +1,14 @@ +# recit recutils recfile template/schema +# Version: 0.0.2 %rec: Project %key: Id - -Id: example-project -Status: open -Notes: blah blah +%mandatory: Name Status +%allowed: Notes %rec: Entry %key: Id %type: Time date %auto: Time %type: ProjectRef rec Project -%sort: Time
\ No newline at end of file +%sort: Time +%mandatory: Id Time Notes
\ No newline at end of file diff --git a/share/recit/templates/projects.templ b/share/recit/templates/projects.templ new file mode 100644 index 0000000..cfe77ba --- /dev/null +++ b/share/recit/templates/projects.templ @@ -0,0 +1,3 @@ +\033[1;33m{{Id}}\033[0m ({{Status}}) +{{Notes}} + |